## gamine 0.0.1

=== Makefile ===
CFLAGS = -Wall -g 
CPPFLAGS = $(shell pkg-config --cflags gtk+-2.0 cairo glib-2.0 gstreamer-0.10)
LDLIBS = $(shell pkg-config --libs gtk+-2.0 cairo glib-2.0 gstreamer-0.10)
LDFLAGS = -g 

target = gamine
objs = gamine.o

$(target) : $(objs)

clean :
	rm $(target) $(objs)

## gamine 1.1

=== Makefile ===
PREFIX = /usr/local
bindir = $(PREFIX)/bin
datadir = $(PREFIX)/share
pkgdatadir = $(datadir)/gamine
docdir = $(datadir)/doc/gamine
sysconfdir = $(PREFIX)/etc
desktopdir = $(datadir)/applications
icondir = $(datadir)/icons/hicolor/scalable/apps
localedir = $(datadir)/locale

GCONFTOOL = /usr/bin/gconftool-2
GCONF_SCHEMA_CONFIG_SOURCE = xml:merged:/etc/gconf/gconf.xml.defaults
GCONF_SCHEMA_FILE_DIR = $(sysconfdir)/gconf/schemas
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL = 0
CFLAGS = -Wall
#CFLAGS = -Wall -g 
CPPFLAGS = $(shell pkg-config --cflags gtk+-2.0 cairo glib-2.0 gstreamer-0.10 gconf-2.0)  -DDATADIR=\""$(pkgdatadir)"\"  -DLOCALDIR=\""$(localedir)"\"
LDLIBS = $(shell pkg-config --libs gtk+-2.0 cairo glib-2.0 gstreamer-0.10 gconf-2.0)  -DDATADIR=\""$(pkgdatadir)"\"  -DLOCALDIR=\""$(localedir)"\"
LDFLAGS = -g 
CC = gcc
target = gamine
objs = gamine.o

$(target): $(objs)
	$(CC) -o $@ $^ $(LDFLAGS) $(LDLIBS)
	sed 's@BINDIR@$(bindir)@' gamine.desktop.in > gamine.desktop
	msgfmt -c -o locale/fr.mo locale/fr.po

%.o: %.c
	$(CC) -o $@ -c $< $(CFLAGS) $(CPPFLAGS)
clean:
	rm -f $(target) $(objs) gamine.desktop *~ locale/*.mo

install:
	mkdir -p $(bindir)
	mkdir -p $(pkgdatadir)/sounds
	mkdir -p $(docdir)
	mkdir -p $(icondir)
	mkdir -p $(desktopdir)
	mkdir -p $(GCONF_SCHEMA_FILE_DIR)
	mkdir -p $(localedir)/fr/LC_MESSAGES
	install -m 755 gamine $(bindir)/
	install -m 644 pencil.png $(pkgdatadir)/
	install -m 644 gamine.png $(pkgdatadir)/
	install -m 644 sounds/* $(pkgdatadir)/sounds/
	install -m 644 README.pencil README.sounds README ChangeLog COPYING $(docdir)/
	install -m 644 gamine.schemas $(GCONF_SCHEMA_FILE_DIR)/
	install -m 644 locale/fr.mo $(localedir)/fr/LC_MESSAGES/gamine.mo
	GCONF_CONFIG_SOURCE=$(GCONF_SCHEMA_CONFIG_SOURCE) $(GCONFTOOL) --makefile-install-rule $(GCONF_SCHEMA_FILE_DIR)/gamine.schemas
	install -m 644 gamine.desktop $(desktopdir)/
	install -m 644 gamine.svg $(icondir)/

uninstall:
	rm -rf $(bindir)/gamine
	rm -rf $(pkgdatadir)
	rm -rf $(docdir)
	rm -rf $(GCONF_SCHEMA_FILE_DIR)/gamine.schemas
	rm -rf $(desktopdir)/gamine.desktop
	rm -rf $(icondir)/gamine.svg

=== debian/changelog ===
gamine (1.1-3) unstable; urgency=low

  * Add myself to uploaders.
  * Add patch to explicitly link libm. (Closes: #713699).
  * Add patch to allow CFLAGS, et al to be passed in to Makefile.
  * Add --as-needed.
  * Make vcs tags canonical.
  * Bump debhelper build-dep and compat to 9.
  * Bump Standards Version to 3.9.4.

 -- Barry deFreese <bdefreese@debian.org>  Sat, 22 Jun 2013 14:18:40 -0400

gamine (1.1-2) unstable; urgency=low

  * Team upload.
  * Use source format 3.0 (quilt).
  * Remove empty postinst and prerm scripts.
  * Build-depend on libx11-dev and link with -lX11 as gamine uses
    XGrabKeyboard. (Closes: #615717)

 -- Ansgar Burchardt <ansgar@debian.org>  Mon, 14 Mar 2011 16:18:23 +0100

gamine (1.1-1) unstable; urgency=low

  [ Barry deFreese ]
  * Update watch file for new upstream tarball naming.

  [ Gonéri Le Bouder ]
  * New upstream release
  * Bump standard version to 3.9.1
  * gamine-data depends on ${misc:Depends}
  * gamine has got a versionized dependency on gamine-data
    (= ${source:Version})
  * call dh_gconf, add postinst and prerm script
  * refresh debian/copyright
  * add a B-P on libgconf2-dev
  * remove upstream debian/prerm script to avoid conflict
  * add makefile-DESTDIR.diff to be able to use DESTDIR

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sun, 02 Jan 2011 15:50:51 +0100

gamine (0.0.1-4) unstable; urgency=low

  * fix the watch file to avoid a false positive with upstream 0.0.1-1
    release. 

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Tue, 17 Jun 2008 17:21:29 +0200

gamine (0.0.1-3) unstable; urgency=low

  [ Gonéri Le Bouder ]
  * Fix the copyright file since Sam Hocevar name had been removed from it by
    the author in the initial tarball.
  * Use the upstream icon instead of mine.
  * Bump standard version to 3.7.3, no change

  [ Cyril Brulebois ]
  * Improve long descriptions, thanks to David Ammouial for the suggestions
    (Closes: #457726).

  [ Evgeni Golov ]
  * debian/control: add missing path to Vcs-* fields
  * fix the watch file (Closes: #456484)

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sun, 20 Apr 2008 18:40:20 +0200

gamine (0.0.1-2) unstable; urgency=low

  * add a <refpurpose /> section in <refnamediv /> in the manpage so
    lexgrog doesn't fail to parse the manpage anymore.

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Fri, 30 Nov 2007 19:47:42 +0100

gamine (0.0.1-1) unstable; urgency=low

  * Initial release (Closes: #452903)

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sun, 25 Nov 2007 23:45:35 +0100

=== debian/control ===
Source: gamine
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Barry deFreese <bdefreese@debian.org>, 
           Gonéri Le Bouder <goneri@rulezlan.org>
Build-Depends: debhelper (>= 9), libgtk2.0-dev, libcairo2-dev,
 libgstreamer0.10-dev, docbook-to-man, libgconf2-dev, libx11-dev
Standards-Version: 3.9.4
Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/gamine/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-games/packages/trunk/gamine/
Homepage: http://gnunux.info/projets/gamine/

Package: gamine
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gamine-data (= ${source:Version}), gstreamer0.10-plugins-good
Description: Interactive game for young children
 Gamine is a game designed for 2 years old children who are not able to use
 a keyboard.
 .
 The child uses the mouse to draw coloured dots and lines on the screen.

Package: gamine-data
Architecture: all
Suggests: gamine
Depends: ${misc:Depends}
Description: data files for gamine game
 gamine is a game for young children.
 .
 This package contains sound and level data for the game.
 .
 You need the gamine package to use these data files.

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS += "-Wl,--as-needed"

%:
	dh $@

override_dh_auto_build:
	$(MAKE) PREFIX=/usr BINDIR=/usr/games DESTDIR=$(CURDIR)/debian/tmp PKGDATADIR=/usr/share/games/gamine
	/usr/bin/docbook-to-man debian/gamine.sgml > gamine.6

override_dh_auto_install:
	$(MAKE) install PREFIX=/usr  BINDIR=/usr/games DESTDIR=$(CURDIR)/debian/tmp PKGDATADIR=/usr/share/games/gamine
	dh_gconf

override_dh_clean:
	$(MAKE) clean
	dh_clean gamine.6 debian/prerm

## gamine 1.5

=== Makefile ===
DESTDIR = 
PREFIX = /usr
BINDIR = $(PREFIX)/bin
DATADIR = $(PREFIX)/share
PKGDATADIR = $(DATADIR)/gamine
DOCDIR = $(DATADIR)/doc/gamine
SYSCONFDIR = /etc
DESKTOPDIR = $(DATADIR)/applications
ICONDIR = $(DATADIR)/icons/hicolor/scalable/apps
LOCALEDIR = $(DATADIR)/locale
MANDIR = $(DATADIR)/man/man6

CFLAGS = -Wall -g
CPPFLAGS = $(shell pkg-config --cflags gtk+-3.0 cairo glib-2.0 gstreamer-1.0)  -DDATADIR=\""$(PKGDATADIR)"\"  -DLOCALDIR=\""$(LOCALEDIR)"\" -DSYSCONFDIR=\""$(SYSCONFDIR)"\"
LDLIBS = $(shell pkg-config --libs gtk+-3.0 cairo glib-2.0 gstreamer-1.0)  -DDATADIR=\""$(PKGDATADIR)"\"  -DLOCALDIR=\""$(LOCALEDIR)"\" -DSYSCONFDIR=\""$(SYSCONFDIR)"\" -lm
LDFLAGS = -g 
CC = gcc
target = gamine
objs = gamine.o
langs = $(shell ls locale|grep -v pot|cut -d "." --field=1)

$(target): $(objs)
	$(CC) -o $@ $^ $(LDFLAGS) $(LDLIBS)
	intltool-merge -d locale gamine.desktop.in gamine.desktop
	for lang in $(langs); do msgfmt -c -o locale/$$lang.mo locale/$$lang.po; done

%.o: %.c
	$(CC) -o $@ -c $< $(CFLAGS) $(CPPFLAGS)
clean:
	rm -f $(target) $(objs) *~ locale/*.mo locale/*~ *.desktop

install:
	mkdir -p $(DESTDIR)$(BINDIR)
	mkdir -p $(DESTDIR)$(PKGDATADIR)/sounds
	mkdir -p $(DESTDIR)$(DOCDIR)
	mkdir -p $(DESTDIR)$(ICONDIR)
	mkdir -p $(DESTDIR)$(DESKTOPDIR)
	mkdir -p $(DESTDIR)$(SYSCONFDIR)
	mkdir -p $(DESTDIR)$(MANDIR)
	for lang in $(langs); do mkdir -p $(DESTDIR)$(LOCALEDIR)/$$lang/LC_MESSAGES; done
	install -m 755 gamine $(DESTDIR)$(BINDIR)/
	install -m 644 pencil.png $(DESTDIR)$(PKGDATADIR)/
	install -m 644 gamine.png $(DESTDIR)$(PKGDATADIR)/
	install -m 644 sounds/* $(DESTDIR)$(PKGDATADIR)/sounds/
	install -m 644 AUTHORS README.pencil README.sounds README.locale README ChangeLog COPYING $(DESTDIR)$(DOCDIR)/
	install -m 644 gamine.conf $(DESTDIR)$(SYSCONFDIR)/
	for lang in $(langs); do install -m 644 locale/$$lang.mo $(DESTDIR)$(LOCALEDIR)/$$lang/LC_MESSAGES/gamine.mo; done
	install -m 644 gamine.desktop $(DESTDIR)$(DESKTOPDIR)/
	install -m 644 gamine.svg $(DESTDIR)$(ICONDIR)/
	install -m 644 gamine.6 $(DESTDIR)$(MANDIR)/

uninstall:
	rm -f $(DESTDIR)$(BINDIR)/gamine
	rm -rf $(DESTDIR)$(PKGDATADIR)
	rm -rf $(DESTDIR)$(DOCDIR)
	rm -f $(DESTDIR)$(DESKTOPDIR)/gamine.desktop
	rm -f $(DESTDIR)$(ICONDIR)/gamine.svg
	rm -f $(DESTDIR)$(MANDIR)/gamine*
	rm -f $(DESTDIR)$(SYSCONFDIR)/gamine.conf
	rm -f $(DESTDIR)$(LOCALEDIR)/*/LC_MESSAGES/gamine.mo
	rm -f $(DESTDIR)$(MANDIR)/gamine*

=== debian/changelog ===
gamine (1.5-2) unstable; urgency=medium

  * Team upload.
  * gamine-data: Add Breaks and Replaces relation to prevent an upgrade failure
    when upgrading from Jessie to Stretch. (Closes: #864547)

 -- Markus Koschany <apo@debian.org>  Sat, 10 Jun 2017 22:13:38 +0200

gamine (1.5-1) unstable; urgency=medium

  * Team upload.
  * Acknowledge Moritz Muehlenhoff's NMU. Thank you.

  [ Gonéri Le Bouder ]
  * Use my @debian email address.
  * Switch to Alexey Loginov fork.
  * Use libgtk-3-dev and libgstreamer1.0-dev.

  [ Markus Koschany ]
  * Imported Upstream version 1.5. (Closes: #558796)
    - The game does not crash anymore when screenshots are taken.
      (Closes: #805580)
  * Update debian/watch and track new releases at sourceforge.net.
  * Add get-orig-source target.
  * wrap-and-sort -sa.
  * Declare compliance with Debian Policy 3.9.8.
  * Vcs-Browser: Use https.
  * Update Homepage field to https://sourceforge.net/projects/gamine-game/.
  * Drop libgconf2-dev, libx11-dev and libgconf2-dev from Build-Depends.
  * Drop all patches. They are obsolete now.
  * Drop source/local-options.
  * Drop debian/gamine.desktop file and use the upstream one instead.
  * Build with parallel.
  * Add build-dependency intltool.
  * Add hardening.patch and export all hardening build flags.
  * Drop docbook-to-man build-dependency, remove Debian's man page because it
    is now part of the upstream tarball.
  * Remove debian/gamine.xpm. Use upstream's icons.
  * desktop-file.patch. Add keywords.
  * Export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed.

 -- Markus Koschany <apo@debian.org>  Fri, 15 Apr 2016 10:47:22 +0200

gamine (1.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Port to gstreamer 1.0 (Closes: #785832)

 -- Moritz Muehlenhoff <jmm@debian.org>  Sat, 14 Nov 2015 23:56:11 +0100

=== debian/control ===
Source: gamine
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Barry deFreese <bdefreese@debian.org>,
 Gonéri Le Bouder <goneri@debian.org>
Build-Depends:
 debhelper (>= 9),
 libgstreamer1.0-dev,
 libgtk-3-dev,
 intltool
Standards-Version: 3.9.8
Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/gamine/
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-games/packages/trunk/gamine/
Homepage: https://sourceforge.net/projects/gamine-game/

Package: gamine
Architecture: any
Depends:
 gamine-data (= ${source:Version}),
 gstreamer1.0-plugins-good,
 ${misc:Depends},
 ${shlibs:Depends}
Description: Interactive game for young children
 Gamine is a game designed for 2 years old children who are not able to use
 a keyboard.
 .
 The child uses the mouse to draw coloured dots and lines on the screen.

Package: gamine-data
Architecture: all
Breaks:
 gamine (<< 1.5-1)
Replaces:
 gamine (<< 1.5-1)
Suggests:
 gamine
Depends:
 ${misc:Depends}
Description: data files for gamine game
 gamine is a game for young children.
 .
 This package contains sound and level data for the game.
 .
 You need the gamine package to use these data files.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --parallel

override_dh_auto_build:
	dh_auto_build -- \
		PREFIX=/usr \
		BINDIR=/usr/games \
		DESTDIR=$(CURDIR)/debian/tmp \
		PKGDATADIR=/usr/share/games/gamine \
		SYSCONFDIR=/etc

override_dh_auto_install:
	$(MAKE) \
		install \
		PREFIX=/usr \
		BINDIR=/usr/games \
		DESTDIR=$(CURDIR)/debian/tmp \
		PKGDATADIR=/usr/share/games/gamine

override_dh_install:
	cd debian/tmp/usr/share/doc/gamine/ && $(RM) COPYING ChangeLog README*
	dh_install --fail-missing
	$(RM) -r debian/gamine-data/usr/share/applications

get-orig-source:
	uscan --verbose --download-current-version --force-download

## gamine 1.6

=== Makefile ===
--- 
+++ 
@@ -21,8 +21,8 @@
 
 $(target): $(objs)
 	$(CC) -o $@ $^ $(LDFLAGS) $(LDLIBS)
-	intltool-merge -d locale gamine.desktop.in gamine.desktop
 	for lang in $(langs); do msgfmt -c -o locale/$$lang.mo locale/$$lang.po; done
+	./gen_desktop.sh
 
 %.o: %.c
 	$(CC) -o $@ -c $< $(CFLAGS) $(CPPFLAGS)
@@ -58,4 +58,3 @@
 	rm -f $(DESTDIR)$(MANDIR)/gamine*
 	rm -f $(DESTDIR)$(SYSCONFDIR)/gamine.conf
 	rm -f $(DESTDIR)$(LOCALEDIR)/*/LC_MESSAGES/gamine.mo
-	rm -f $(DESTDIR)$(MANDIR)/gamine*

=== debian/changelog ===
gamine (1.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.6.
  * Switch to compat level 12.
  * Declare compliance with Debian Policy 4.3.0.
  * Move the packaging to Git and salsa.debian.org.
  * Drop deprecated menu file.
  * Use https for Format field.
  * Remove get-orig-source target.
  * Remove intltool from B-D.
  * Fix FTCBFS: uses the build architecture pkg-config. (Closes: #896713)
  * Drop desktop-file.patch. Fixed upstream.

 -- Markus Koschany <apo@debian.org>  Sun, 10 Feb 2019 12:21:05 +0100

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,12 @@
  Barry deFreese <bdefreese@debian.org>,
  Gonéri Le Bouder <goneri@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 12),
  libgstreamer1.0-dev,
- libgtk-3-dev,
- intltool
-Standards-Version: 3.9.8
-Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/gamine/
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-games/packages/trunk/gamine/
+ libgtk-3-dev
+Standards-Version: 4.3.0
+Vcs-Git: https://salsa.debian.org/games-team/gamine.git
+Vcs-Browser: https://salsa.debian.org/games-team/gamine
 Homepage: https://sourceforge.net/projects/gamine-game/
 
 Package: gamine

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_build:
 	dh_auto_build -- \
@@ -22,10 +22,10 @@
 		PKGDATADIR=/usr/share/games/gamine
 
 override_dh_install:
+	dh_install
 	cd debian/tmp/usr/share/doc/gamine/ && $(RM) COPYING ChangeLog README*
-	dh_install --fail-missing
 	$(RM) -r debian/gamine-data/usr/share/applications
 
-get-orig-source:
-	uscan --verbose --download-current-version --force-download
+override_dh_missing:
+	dh_missing --fail-missing

=== debian/watch ===
version=4
http://sf.net/gamine-game/gamine-(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
